GrailsLazyProxyPrintWriter (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class GrailsLazyProxyPrintWriter

- org.grails.buffer.GrailsLazyProxyPrintWriter

-     public class GrailsLazyProxyPrintWriter
      extends GrailsPrintWriter

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static interface` | `GrailsLazyProxyPrintWriter.DestinationFactory` | Factory to lazily instantiate the destination.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private boolean` | `destinationActivated` |
    `private GrailsLazyProxyPrintWriter.DestinationFactory` | `factory` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsPrintWriter` | `CRLF, LOG, allowUnwrappingOut, metaClass, out, previousOut, streamCharBufferTarget, trouble, usageFlag`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsLazyProxyPrintWriter (GrailsLazyProxyPrintWriter.DestinationFactory factory)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.io.Writer` | `getOut()`
    `` | `public boolean` | `isAllowUnwrappingOut()`
    `` | `public boolean` | `isDestinationActivated()`
    `` | `public void` | `setDestinationActivated(boolean destinationActivated)`
    `` | `public java.io.Writer` | `unwrap()`
    `` | `public void` | `updateDestination(GrailsLazyProxyPrintWriter.DestinationFactory f)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsPrintWriter` | `append, append, append, append, append, appendNullCharSequence, asPrintWriter, asType, checkError, clone, close, findStreamCharBufferTarget, flush, getMetaClass, getOut, getProperty, getWriterForEncoder, handleIOException, invokeMethod, isAllowUnwrappingOut, isDestinationActivated, isTrouble, isUsed, leftShift, leftShift, leftShift, leftShift, leftShift, markUsed, plus, print, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setMetaClass, setOut, setProperty, setUsed, unwrap, unwrapWriter, write, write, write, write, write, write, write, writeWritable`

- - ### Field Detail

    - #### private boolean destinationActivated

    - #### private GrailsLazyProxyPrintWriter.DestinationFactory factory

  - ### Constructor Detail

    - #### public GrailsLazyProxyPrintWriter(GrailsLazyProxyPrintWriter.DestinationFactory factory)

  - ### Method Detail

    - #### @java.lang.Override public java.io.Writer getOut()

    - #### @java.lang.Override public boolean isAllowUnwrappingOut()

    - #### @java.lang.Override public boolean isDestinationActivated()

    - #### public void setDestinationActivated(boolean destinationActivated)

    - #### @java.lang.Override public java.io.Writer unwrap()

    - #### public void updateDestination(GrailsLazyProxyPrintWriter.DestinationFactory f)